GET

addresses API

Retrieve and manage addresses records from the Apps4Edu sync database.

Endpoint Path

GET /api/addresses

CURL Example

curl "https://api.apps4education.co.uk/api/addresses?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
addressID int
flatNameNumber varchar
buildingNameNumber varchar
street varchar
locality varchar
town varchar
postCode varchar
administrativeArea varchar
nationalityName varchar
addressLine1 text
addressLine2 text
addressLine3 text
addressLine4 text
addressLine5 text
fullAddress text
fullAddressLabel text
uprn varchar
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "addressID": 101,
      "flatNameNumber": "example_value",
      "buildingNameNumber": "example_value",
      "street": "example_value",
      "locality": "example_value",
      "town": "example_value",
      "postCode": "example_value",
      "administrativeArea": true,
      "nationalityName": "example_value",
      "addressLine1": "example_value",
      "addressLine2": "example_value",
      "addressLine3": "example_value",
      "addressLine4": "example_value",
      "addressLine5": "example_value",
      "fullAddress": "example_value",
      "fullAddressLabel": "example_value",
      "uprn": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.